LOADFONT(1)

NAME
loadfont - is used to load fonts into EGA or VGA boards for use by the 'pcvt' video driver.

SYNOPSIS
loadfont [-c charsetno] [-d devicefile] [-f fontfilename] [-i]

DESCRIPTION
The loadfont utility is used to load fonts needed for proper operation of the pcvt VT220 driver on EGA and VGA boards into the font ram of this boards.

The options are as follows:

-c  Specifies the slot, the font is to load into. EGA boards have four slots and VGA boards have eight slots available for downloading fonts.

-d  Specifies the devicefile to use.

-f  Specifies the file which contains the font to be downloaded.

-i  Gives information what type(s) of font do currently reside in which slot. This is also the default behaviour if no options are specified on the commandline.

This utility is used only on EGA and VGA boards, as MDA, HCG and CGA boards do not have downloadable charactersets available.

FILES
The following fontfiles are available in the pcvt distribution:
/usr/share/misc/pcvtfonts/vt220l.808:	8x8  IBM II font
/usr/share/misc/pcvtfonts/vt220h.808:	8x8  Extension font
/usr/share/misc/pcvtfonts/vt220l.810:	8x10 IBM II font
/usr/share/misc/pcvtfonts/vt220h.810:	8x10 Extension font
/usr/share/misc/pcvtfonts/vt220l.814:	8x14 IBM II font
/usr/share/misc/pcvtfonts/vt220h.814:	8x14 Extension font
/usr/share/misc/pcvtfonts/vt220l.816:	8x16 IBM II font
/usr/share/misc/pcvtfonts/vt220h.816:	8x16 Extension font

EXAMPLES
The command “loadfont -c0 -f/usr/share/misc/pcvtfonts/vt220l.816” loads a 8x16 font containing the standard IBM characterset II into font slot 0 on a VGA or EGA board.

BUGS
No known bugs

SEE ALSO
cursor(1), scon(1), pcvt(4), ispcvt(8)